TEI2MOD.1(1)

NAME
tei2mod - tool to convert TEI P5 source into a SWORD module

SYNOPSIS
tei2mod outputpath teisource [OPTIONS]

DESCRIPTION
This utility is used to create SWORD module from a slightly modified TEI (Text Encoding Initiative) P5 formatted XML source document. The resulting module will be saved in the outputpath specified.

OPTIONS

-z  Specifies use of ZIP compression. The default is no compression.

-Z  Specifies use of LZSS compression. The default is no compression.

-s [2|4]
    Specifies maximum text size per entry. The default is 4.

-c cipher_key
    Specifies that the output will be enciphered with the supplied cipher_key. The default is plain text output (no encipherment).

-N  Disables conversion to UTF-8 and normalization of UTF-8 to NFC. The default is to convert to UTF-8, if needed, and then normalize to NFC. Note that all UTF-8 texts should be normalized to NFC.

NOTE
The input format is a subset of TEI P5 with added elements borrowed from OSIS for verse references. The resulting custom TEI schema is available at http://www.crosswire.org/osis/teiP5osis.1.4.xsd

AUTHORS
This man page was written by Jonathan Marsden <jmarsden@fastmail.fm> for the Debian project but may be used by others.

SEE ALSO

http://www.crosswire.org/wiki/TEI_Dictionaries
http://www.crosswire.org/osis/teiP5osis.1.4.xsd
http://www.tei-c.org/release/doc/tei-p5-doc/html/index.html